<?php
/**
 * About setup
 *
 * @package Insurance Hub
 */

if ( ! function_exists( 'insurance-hub_about_setup' ) ) :

	/**
	 * About setup.
	 *
	 * @since 1.0.0
	 */
	function insurance_hub_about_setup() {

		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
		if ( is_plugin_active( 'one-click-demo-import/one-click-demo-import.php' ) ):

		    $url =  admin_url( 'themes.php?page=pt-one-click-demo-import' );

		else:

		     $url = admin_url();

		endif;

		$config = array(

			// Welcome content.
			'welcome_content' => sprintf( esc_html__( '%1$s is now installed and ready to use. We want to make sure you have the best experience using the theme and that is why we have gathered all the necessary information here on this page for you. Thanks again for using our theme and hope you enjoy using the theme.', 'insurance-hub' ), 'Insurance Hub' ),

			// Tabs.
			'tabs' => array(
				'getting-started' => esc_html__( 'Getting Started', 'insurance-hub' ),
				'useful-plugins'  => esc_html__( 'Useful Plugins', 'insurance-hub' ),
				),

			// Quick links.
			'quick_links' => array(
                'theme_url' => array(
                    'text' => esc_html__( 'Theme Details', 'insurance-hub' ),
                    'url'  => 'https://canyonthemes.com/themes/insurance-hub/',
                    'button' => 'primary',
                ),
                'demo_url' => array(
                    'text' => esc_html__( 'Live Preview', 'insurance-hub' ),
                    'url'  => 'http://demo.canyonthemes.com/insurance-hub/',
                    'button' => 'primary',
                ),
                'documentation_url' => array(
                    'text'   => esc_html__( 'View Insurance Hub Documentation', 'insurance-hub' ),
                    'url'    => 'http://doc.canyonthemes.com/insurance-hub/',
                    'button' => 'primary',
                ),
				'translation_url' => array(
					'text'   => esc_html__( 'Translate on your own Language', 'insurance-hub' ),
					'url'    => 'https://translate.wordpress.org/projects/wp-themes/insurance-hub/',
					'button' => 'primary',
				),
            ),

			// Getting started.
			'getting_started' => array(
				'one' => array(
					'title'       => esc_html__( 'Theme Documentation', 'insurance-hub' ),
					'icon'        => 'dashicons dashicons-format-aside',
					'description' => esc_html__( 'Please check our full documentation for detailed information on how to setup and customize the theme.', 'insurance-hub' ),
					'button_text' => esc_html__( 'View Documentation', 'insurance-hub' ),
					'button_url'  => 'http://doc.canyonthemes.com/insurance-hub/',
					'button_type' => 'primary',
					'is_new_tab'  => true,
					),
				'two' => array(
					'title'       => esc_html__( 'Static Front Page', 'insurance-hub' ),
					'icon'        => 'dashicons dashicons-admin-generic',
					'description' => esc_html__( 'To achieve custom home page other than blog listing, you need to create and set static front page.', 'insurance-hub' ),
					'button_text' => esc_html__( 'Static Front Page', 'insurance-hub' ),
					'button_url'  => admin_url( 'customize.php?autofocus[section]=static_front_page' ),
					'button_type' => 'primary',
					),
				'three' => array(
					'title'       => esc_html__( 'Theme Options', 'insurance-hub' ),
					'icon'        => 'dashicons dashicons-admin-customizer',
					'description' => esc_html__( 'Theme uses Customizer API for theme options. Using the Customizer you can easily customize different aspects of the theme.', 'insurance-hub' ),
					'button_text' => esc_html__( 'Customize', 'insurance-hub' ),
					'button_url'  => wp_customize_url(),
					'button_type' => 'primary',
					),
				'four' => array(
					'title'       => esc_html__( 'Demo Content', 'insurance-hub' ),
					'icon'        => 'dashicons dashicons-layout',
					'description' => sprintf( esc_html__( 'To import sample demo content, %1$s plugin should be installed and activated. After plugin is activated, visit Import Demo Data menu under Appearance.', 'insurance-hub' ), esc_html__( 'One Click Demo Import', 'insurance-hub' ) ),
					'button_text' => esc_html__( 'Demo Import', 'insurance-hub' ),
					'button_url'  => $url,
					'button_type' => 'primary',
					),
				'five' => array(
					'title'       => esc_html__( 'Theme Preview', 'insurance-hub' ),
					'icon'        => 'dashicons dashicons-welcome-view-site',
					'description' => esc_html__( 'You can check out the theme demos for reference to find out what you can achieve using the theme and how it can be customized.', 'insurance-hub' ),
					'button_text' => esc_html__( 'View Demo', 'insurance-hub' ),
					'button_url'  => 'http://demo.canyonthemes.com/insurance-hub',
					'button_type' => 'primary',
					'is_new_tab'  => true,
					),
                'six' => array(
                    'title'       => esc_html__( 'Contact Support', 'insurance-hub' ),
                    'icon'        => 'dashicons dashicons-sos',
                    'description' => esc_html__( 'Got theme support question or found bug or got some feedbacks? Best place to ask your query is the dedicated Support forum for the theme.', 'insurance-hub' ),
                    'button_text' => esc_html__( 'Contact Support', 'insurance-hub' ),
                    'button_url'  => 'https://canyonthemes.com/contact-us/',
					'button_type' => 'primary',
                    'is_new_tab'  => true,
                ),
				),

			// Useful plugins.
			'useful_plugins' => array(
				'description' => esc_html__( 'Theme supports some helpful WordPress plugins to enhance your site.Please click Manage Plugins button below to enable those plugins which you need in your site,if those plugin are not Install.', 'insurance-hub' ),
				),

			);

		Insurance_Hub_About::init( $config );
	}

endif;

add_action( 'after_setup_theme', 'insurance_hub_about_setup' );
